GET api/Recalls?externalId={externalId}
Gets information about a recall.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Recall's unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
RecallModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Date |
Date and time of the recall(Required). |
date |
None. |
| Active |
Recall is active or not. If the recall is inactive, then it doesn't create communications. |
boolean |
None. |
| LocationExternalId |
Location's unique ID on integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| PatientExternalId |
Patient's unique ID on integrating system (Required). |
string |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"date": "2026-05-29T16:57:34.8486388+00:00",
"active": true,
"locationExternalId": "sample string 3",
"doctorExternalId": "sample string 4",
"patientExternalId": "sample string 5",
"id": "773681a4-e2cf-469e-aabf-71fdeed8db30",
"externalId": "sample string 7"
}
application/xml, text/xml
Sample:
<RecallModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Recalls"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 7</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">773681a4-e2cf-469e-aabf-71fdeed8db30</Id> <Active>true</Active> <Date>2026-05-29T16:57:34.8486388+00:00</Date> <DoctorExternalId>sample string 4</DoctorExternalId> <LocationExternalId>sample string 3</LocationExternalId> <PatientExternalId>sample string 5</PatientExternalId> </RecallModel>